Skip to content

Delete pending message

DELETE
/api/v1/social_messages/send_message

Remove the pending message for an agent.

agent_id
required
Agent Id

Agent ID

string

Agent ID

pending_message_id
Pending Message Id

ID of pending message to delete

string

ID of pending message to delete

Successful Response

SocialOperationResponse
object
status
required
Status
string
Allowed values: success fail
message
required
Message
string

Bad Request

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string

Agent not found, Social Account not found, or No social message record found.

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string
Example
{
"error": "No social message record found",
"error_code": "social_message_not_found"
}

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Internal Server Error

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string